// NOTE: this filter is never directional (when distinguishing types of contours)

// TODO: consider enhancing UI to support the notions of /filter parameters/
// (that, in the case of integral parameters, would be adjustable via a slider bar)
public class PlusContourExtractionFilter extends AveragingFilter {
	/**
	 * @param stippleRadius		specifies the radius of the smallest blob 
	 * 							whose contours the filter can find effectively;
	 * 							(use smaller values to detect the contours of thinner objects)
	 */
	public PlusContourExtractionFilter(int stippleRadius) {
		super(new PixelBufferFilter2[] {
			new HorizontalContourExtractionFilter(stippleRadius, false),
			new VerticalContourExtractionFilter(stippleRadius, false)
		});
	}
	
	public String toString() {
		return "Contour Extraction (Plus)";
	}
}